%define upstream_name    Parse-Earley
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Parse::Earley - Parse any Context-Free Grammar
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
Parse::Earley accepts or rejects a string based on any Context-Free grammar,
specified by a simplified yacc-like specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
#make test

%files
%doc README
%{perl_vendorlib}/Parse/Earley.pm
%{_mandir}/*/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.150.0-12.mga10
+ Revision: 2235229
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 0.150.0-11.mga10
+ Revision: 2143926
- rebuild for perl 5.40

* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-10.mga9
+ Revision: 1805038
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-9.mga8
+ Revision: 1496365
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-8.mga7
+ Revision: 1270412
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-7.mga6
+ Revision: 1031674
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.150.0-6.mga6
+ Revision: 941274
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 744468
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 685891
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 513972
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 371527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 26805
- mageia rebuild
- imported package perl-Parse-Earley


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 404285
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15-5mdv2009.0
+ Revision: 258190
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15-4mdv2009.0
+ Revision: 246267
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.15-2mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdv2008.0
+ Revision: 86767
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.15-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15-1mdk
- initial Mandriva package

